POST ImportVehicles
Creates vehicles using an uploaded Excel file.
Request Information
URI Parameters
None.
Body Parameters
The data of the vehicles.
ImportVehiclesDto| Name | Description | Type | Additional information |
|---|---|---|---|
| File | Collection of byte |
None. |
|
| NeedIdentification | boolean |
None. |
|
| IdCompanyContract | globally unique identifier |
None. |
|
| IdentificationsType | integer |
None. |
|
| IdIdentificationsTypeModel | globally unique identifier |
None. |
|
| IdProgram | globally unique identifier |
None. |
|
| IdLoyaltyProgram | globally unique identifier |
None. |
|
| IdHologramTypeModel | globally unique identifier |
None. |
|
| Address | ImportDocumentParameterAddressDto |
None. |
|
| ImportResult | ImportDto |
None. |
|
| NetworkId | globally unique identifier |
None. |
|
| CompanyId | globally unique identifier |
None. |
|
| Culture | string |
None. |
Request Formats
application/json, text/json
Sample:
{
"File": "QEA=",
"NeedIdentification": true,
"IdCompanyContract": "a1428226-399f-44b1-a9c2-535ac1664210",
"IdentificationsType": 1,
"IdIdentificationsTypeModel": "263912fb-d44a-4201-bdac-caeb07cf36d1",
"IdProgram": "0e7b8e34-fa47-4e45-abf4-0cb23314acc5",
"IdLoyaltyProgram": "94e95f58-2857-41ef-8977-c83fc2f06ea8",
"IdHologramTypeModel": "928e68b2-c33c-4260-a0bb-096394a42831",
"Address": {
"Street1": "sample string 1",
"Street2": "sample string 2",
"ZipCode": "sample string 3",
"City": "sample string 4",
"ContactName": "sample string 5",
"ContactPhone": "sample string 6",
"IdCountry": "cbe635be-fd6b-4cd1-b49b-d966e811ef48",
"IdState": "50906d27-83ed-4f8f-a43f-e5c7aceadeb2",
"DeliveryAddressIsLocation": true
},
"ImportResult": {
"listItemError": [
{
"row": 1,
"errorList": [
"sample string 1",
"sample string 2"
]
},
{
"row": 1,
"errorList": [
"sample string 1",
"sample string 2"
]
}
],
"correctProcessedQuantity": 1,
"errorProcessedQuantity": 2,
"totalProcessedQuantity": 3,
"withErrors": true,
"successfullyImportedTotal": "Successfully Imported Total 1",
"failedToBeImportedTotal": "Failed To Be imported Total 2",
"successfullyUpdatedTotal": "Total Successfully Updated: 1",
"failedToBeUpdatedTotal": "Total Not Updated: 2",
"totalProcessed": "Total processed: 3",
"needIdentification": true,
"IdentificationResult": true,
"identificationOrderNumber": "sample string 3",
"identificationErrorText": "sample string 4",
"identificationSuccessQuantity": 5,
"identificationErrorQuantity": 6,
"identificationMessageResult": "Identifier request created. Order Number: sample string 3"
},
"NetworkId": "81e95bf9-9e19-435a-92bb-6c219322af58",
"CompanyId": "a005c835-5cd7-45d3-8e37-80f0a1d548bf",
"Culture": "sample string 2"
}
application/xml, text/xml
Sample:
<ImportVehiclesDto xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/Ationet.Model">
<Address>
<City>sample string 4</City>
<ContactName>sample string 5</ContactName>
<ContactPhone>sample string 6</ContactPhone>
<DeliveryAddressIsLocation>true</DeliveryAddressIsLocation>
<IdCountry>cbe635be-fd6b-4cd1-b49b-d966e811ef48</IdCountry>
<IdState>50906d27-83ed-4f8f-a43f-e5c7aceadeb2</IdState>
<Street1>sample string 1</Street1>
<Street2>sample string 2</Street2>
<ZipCode>sample string 3</ZipCode>
</Address>
<CompanyId>a005c835-5cd7-45d3-8e37-80f0a1d548bf</CompanyId>
<Culture>sample string 2</Culture>
<File>QEA=</File>
<IdCompanyContract>a1428226-399f-44b1-a9c2-535ac1664210</IdCompanyContract>
<IdHologramTypeModel>928e68b2-c33c-4260-a0bb-096394a42831</IdHologramTypeModel>
<IdIdentificationsTypeModel>263912fb-d44a-4201-bdac-caeb07cf36d1</IdIdentificationsTypeModel>
<IdLoyaltyProgram>94e95f58-2857-41ef-8977-c83fc2f06ea8</IdLoyaltyProgram>
<IdProgram>0e7b8e34-fa47-4e45-abf4-0cb23314acc5</IdProgram>
<IdentificationsType>1</IdentificationsType>
<ImportResult>
<IdentificationResult>true</IdentificationResult>
<correctProcessedQuantity>1</correctProcessedQuantity>
<errorProcessedQuantity>2</errorProcessedQuantity>
<identificationErrorQuantity>6</identificationErrorQuantity>
<identificationErrorText>sample string 4</identificationErrorText>
<identificationOrderNumber>sample string 3</identificationOrderNumber>
<identificationSuccessQuantity>5</identificationSuccessQuantity>
<listItemError>
<ImportItemDto>
<errorList xmlns:d5p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
<d5p1:string>sample string 1</d5p1:string>
<d5p1:string>sample string 2</d5p1:string>
</errorList>
<row>1</row>
</ImportItemDto>
<ImportItemDto>
<errorList xmlns:d5p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
<d5p1:string>sample string 1</d5p1:string>
<d5p1:string>sample string 2</d5p1:string>
</errorList>
<row>1</row>
</ImportItemDto>
</listItemError>
<needIdentification>true</needIdentification>
<totalProcessedQuantity>3</totalProcessedQuantity>
</ImportResult>
<NeedIdentification>true</NeedIdentification>
<NetworkId>81e95bf9-9e19-435a-92bb-6c219322af58</NetworkId>
</ImportVehiclesDto>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
Object of ImportDto class.
ImportVehiclesDto| Name | Description | Type | Additional information |
|---|---|---|---|
| File | Collection of byte |
None. |
|
| NeedIdentification | boolean |
None. |
|
| IdCompanyContract | globally unique identifier |
None. |
|
| IdentificationsType | integer |
None. |
|
| IdIdentificationsTypeModel | globally unique identifier |
None. |
|
| IdProgram | globally unique identifier |
None. |
|
| IdLoyaltyProgram | globally unique identifier |
None. |
|
| IdHologramTypeModel | globally unique identifier |
None. |
|
| Address | ImportDocumentParameterAddressDto |
None. |
|
| ImportResult | ImportDto |
None. |
|
| NetworkId | globally unique identifier |
None. |
|
| CompanyId | globally unique identifier |
None. |
|
| Culture | string |
None. |
Response Formats
application/json, text/json
Sample:
{
"File": "QEA=",
"NeedIdentification": true,
"IdCompanyContract": "298ab901-a45b-4013-8948-e5f0866d188c",
"IdentificationsType": 1,
"IdIdentificationsTypeModel": "3cb457d9-1458-4715-b4c4-470e5ba64a25",
"IdProgram": "d50100fc-5b19-448e-8993-0e30e4c97671",
"IdLoyaltyProgram": "fc2e433f-046d-4d1b-a81f-9143391b9082",
"IdHologramTypeModel": "d4bdd021-3f53-483b-9dbe-379425d43e7a",
"Address": {
"Street1": "sample string 1",
"Street2": "sample string 2",
"ZipCode": "sample string 3",
"City": "sample string 4",
"ContactName": "sample string 5",
"ContactPhone": "sample string 6",
"IdCountry": "b92e0e1f-157e-4733-b681-153d1f6468d9",
"IdState": "ecc58b17-db33-41f8-9917-9e039a44101a",
"DeliveryAddressIsLocation": true
},
"ImportResult": {
"listItemError": [
{
"row": 1,
"errorList": [
"sample string 1",
"sample string 2"
]
},
{
"row": 1,
"errorList": [
"sample string 1",
"sample string 2"
]
}
],
"correctProcessedQuantity": 1,
"errorProcessedQuantity": 2,
"totalProcessedQuantity": 3,
"withErrors": true,
"successfullyImportedTotal": "Successfully Imported Total 1",
"failedToBeImportedTotal": "Failed To Be imported Total 2",
"successfullyUpdatedTotal": "Total Successfully Updated: 1",
"failedToBeUpdatedTotal": "Total Not Updated: 2",
"totalProcessed": "Total processed: 3",
"needIdentification": true,
"IdentificationResult": true,
"identificationOrderNumber": "sample string 3",
"identificationErrorText": "sample string 4",
"identificationSuccessQuantity": 5,
"identificationErrorQuantity": 6,
"identificationMessageResult": "Identifier request created. Order Number: sample string 3"
},
"NetworkId": "c01e5a9b-407d-4c24-8c0f-4173dd8daf1e",
"CompanyId": "b36eb6b4-904d-4e5d-9a0c-a97ef88ad74f",
"Culture": "sample string 2"
}
application/xml, text/xml
Sample:
<ImportVehiclesDto xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/Ationet.Model">
<Address>
<City>sample string 4</City>
<ContactName>sample string 5</ContactName>
<ContactPhone>sample string 6</ContactPhone>
<DeliveryAddressIsLocation>true</DeliveryAddressIsLocation>
<IdCountry>b92e0e1f-157e-4733-b681-153d1f6468d9</IdCountry>
<IdState>ecc58b17-db33-41f8-9917-9e039a44101a</IdState>
<Street1>sample string 1</Street1>
<Street2>sample string 2</Street2>
<ZipCode>sample string 3</ZipCode>
</Address>
<CompanyId>b36eb6b4-904d-4e5d-9a0c-a97ef88ad74f</CompanyId>
<Culture>sample string 2</Culture>
<File>QEA=</File>
<IdCompanyContract>298ab901-a45b-4013-8948-e5f0866d188c</IdCompanyContract>
<IdHologramTypeModel>d4bdd021-3f53-483b-9dbe-379425d43e7a</IdHologramTypeModel>
<IdIdentificationsTypeModel>3cb457d9-1458-4715-b4c4-470e5ba64a25</IdIdentificationsTypeModel>
<IdLoyaltyProgram>fc2e433f-046d-4d1b-a81f-9143391b9082</IdLoyaltyProgram>
<IdProgram>d50100fc-5b19-448e-8993-0e30e4c97671</IdProgram>
<IdentificationsType>1</IdentificationsType>
<ImportResult>
<IdentificationResult>true</IdentificationResult>
<correctProcessedQuantity>1</correctProcessedQuantity>
<errorProcessedQuantity>2</errorProcessedQuantity>
<identificationErrorQuantity>6</identificationErrorQuantity>
<identificationErrorText>sample string 4</identificationErrorText>
<identificationOrderNumber>sample string 3</identificationOrderNumber>
<identificationSuccessQuantity>5</identificationSuccessQuantity>
<listItemError>
<ImportItemDto>
<errorList xmlns:d5p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
<d5p1:string>sample string 1</d5p1:string>
<d5p1:string>sample string 2</d5p1:string>
</errorList>
<row>1</row>
</ImportItemDto>
<ImportItemDto>
<errorList xmlns:d5p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
<d5p1:string>sample string 1</d5p1:string>
<d5p1:string>sample string 2</d5p1:string>
</errorList>
<row>1</row>
</ImportItemDto>
</listItemError>
<needIdentification>true</needIdentification>
<totalProcessedQuantity>3</totalProcessedQuantity>
</ImportResult>
<NeedIdentification>true</NeedIdentification>
<NetworkId>c01e5a9b-407d-4c24-8c0f-4173dd8daf1e</NetworkId>
</ImportVehiclesDto>